<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Minipress
 * @since Minipress 1.0
 */
 get_header(); ?>

<ul class="double-cloumn clearfix">
	<li id="left-column">
		<ul class="blog-main-post-container">
			<?php if ( have_posts() ) :
				while ( have_posts() ) : the_post();
					get_template_part( 'content', 'list' );
				endwhile; // end of the loop.
			else :
				// If there are no posts to display, show the content-empty template, which includes a search form
				get_template_part( 'content', 'empty' );
			endif; ?>
		</ul>
		<?php obox_content_nav("clearfix", "pagination clearfix"); ?>
	</li>
	<?php get_sidebar(); ?>
</ul>

<?php get_footer(); ?>